Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class JoinPoint

    java.lang.Object
      org.jboss.aop.JoinPoint

Direct Known Subclasses:
  CallerConstructorJoinPoint, CallerMethodJoinPoint, ConstructionJoinPoint, ConstructorJoinPoint, FieldJoinPoint, MethodJoinPoint

public abstract class JoinPoint
extends Object

Field Summary
`InterceptorFactoryWrapper[]` | `factories` Deprecated. use accessors instead
`ArrayList` | `factoryChain` Deprecated. use accessors instead
`ArrayList` | `interceptorChain` Deprecated. use accessors instead
`Interceptor[]` | `interceptors` Deprecated. use accessors instead
`protected Joinpoint` | `joinpoint`

Constructor Summary
`protected` | `JoinPoint()`
`protected` | `JoinPoint(Advisor advisor)`
`protected` | `JoinPoint(JoinPoint other)`

Method Summary
`protected void` | `clear()`
`abstract JoinPoint` | `copy()`
`boolean` | `equalChains(JoinPoint other)`
`Advisor` | `getAdvisor()`
`InterceptorFactoryWrapper[]` | `getFactories()`
`ArrayList` | `getFactoryChain()`
`ArrayList` | `getInterceptorChain()`
`Interceptor[]` | `getInterceptors()`
`Joinpoint` | `getJoinpoint()`
`boolean` | `hasAdvices()`
`protected JoinPoint` | `initialiseInterceptors()` Generated advisors start off by only initialising the factories, method to intitialise the interceptors
`protected abstract Joinpoint` | `internalGetJoinpoint()`
`void` | `setAdvisor(Advisor advisor)`
`void` | `setFactories(InterceptorFactoryWrapper[] factories)`
`void` | `setFactoryChain(ArrayList factoryChain)`
`void` | `setInterceptorChain(ArrayList interceptorChain)`
`void` | `setInterceptors(Interceptor[] interceptors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factories

    public InterceptorFactoryWrapper[] factories

  Deprecated. use accessors instead

### factoryChain

    public ArrayList factoryChain

  Deprecated. use accessors instead

### interceptors

    public Interceptor[] interceptors

  Deprecated. use accessors instead

### interceptorChain

    public ArrayList interceptorChain

  Deprecated. use accessors instead

### joinpoint

    protected volatile Joinpoint joinpoint

Constructor Detail

### JoinPoint

    protected JoinPoint()

### JoinPoint

    protected JoinPoint(Advisor advisor)

### JoinPoint

    protected JoinPoint(JoinPoint other)

Method Detail

### clear

    protected void clear()

### getAdvisor

    public Advisor getAdvisor()

### setAdvisor

    public void setAdvisor(Advisor advisor)

### hasAdvices

    public boolean hasAdvices()

### initialiseInterceptors

    protected JoinPoint initialiseInterceptors()

  Generated advisors start off by only initialising the factories, method to intitialise the interceptors

### equalChains

    public boolean equalChains(JoinPoint other)

### getJoinpoint

    public Joinpoint getJoinpoint()

### getInterceptorChain

    public ArrayList getInterceptorChain()

### setInterceptorChain

    public void setInterceptorChain(ArrayList interceptorChain)

### getInterceptors

    public Interceptor[] getInterceptors()

### setInterceptors

    public void setInterceptors(Interceptor[] interceptors)

### getFactories

    public InterceptorFactoryWrapper[] getFactories()

### setFactories

    public void setFactories(InterceptorFactoryWrapper[] factories)

### getFactoryChain

    public ArrayList getFactoryChain()

### setFactoryChain

    public void setFactoryChain(ArrayList factoryChain)

### internalGetJoinpoint

    protected abstract Joinpoint internalGetJoinpoint()

### copy

    public abstract JoinPoint copy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.